#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int mod = 1e6 + 3;
int main()
{
    for (int n; ~scanf("%d", &n);)
    {
        long long f = 1;
        for (int i = 1; i <= n; i++) f = f * i % mod;
        printf("%lld\n", f);
    }
    return 0;
}